function savePlot( fig, genName, figFileName )
    genResultsFolderPath = Constants.RESULTS_FILE_PATH + strrep( genName, " ", "" );
    genPlotFilePath = genResultsFolderPath + "/" + figFileName;
    if ~isfolder( genResultsFolderPath )
        mkdir( genResultsFolderPath )
    end
    saveas( fig, genPlotFilePath )
end